Summary:  	Rsync libraries
Name:     	librsync
Version:  	0.9.7
Release:  	0.fdr.1.2
Epoch: 		0
License:	LGPL
Group:    	System Environment/Libraries
Source:  	http://dl.sf.net/sourceforge/librsync/librsync-0.9.7.tar.gz
URL:       	http://librsync.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  zlib-devel, bzip2-devel, popt

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files.  librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%package devel
Summary: Headers and development libraries for librsync
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files.  librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

This package contains header files necessary for developing programs
based on librsync.

%prep 
%setup -q

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m 755 .libs/rdiff $RPM_BUILD_ROOT/%{_bindir}/rdiff

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/librsync.so.1*
%{_bindir}/rdiff
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(-,root,root)
%{_libdir}/librsync.so
%{_prefix}/include/*
%{_mandir}/man3/librsync.3*
%{_libdir}/librsync.a
%exclude %{_libdir}/librsync.la

%changelog
* Wed Nov 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.9.7-0.fdr.1
- updated to 0.9.7 (#2248)
- changed source URL to be downloadable with wget

* Fri Aug 8 2003 Ben Escoto <bescoto@stanford.edu> 0.9.6-0.fdr.3
- Build no longer requires GNU tools
- Install shared library and rdiff executable by default
* Sun Jul 20 2003 Ben Escoto <bescoto@stanford.edu> 0.9.5.1-0.fdr.2
- Repackaged Laurent Papier's <papier@sdv.fr> rpm.
